<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <xsl:for-each select="/contest_day">
    <html>
      <title><xsl:value-of select="result_type"/> - <xsl:value-of select="number"/> @ XYZ Wettbewerb</title>
    <body>
      <center>
        <table border="0" cellspacing="0">
      <tr>
      <td align="center"><font face="Verdana" size="2"><b>XYZ Wettbewerb</b></font></td>
      </tr>
       <tr>
          <td align="center"><font face="Tahoma" size="2"><b><xsl:value-of select="result_type"/> - <xsl:value-of select="number"/> - <xsl:value-of select="date"/></b></font></td>
      </tr>
       <tr>
         <td align="center"><font face="Tahoma" size="2"><xsl:value-of select="script"/><xsl:if test="string-length(/contest_day/tasktime) &gt; 0"> - <xsl:value-of select="/contest_day/tasktime"/></xsl:if>
          - <xsl:value-of select="length"/> - <xsl:value-of select="turnpoints"/></font></td>
      </tr>
      </table>
      
      <table border="0" cellspacing="0" cellpadding="2">
        <tr bgcolor="#87CEEB">
          <th><font face="Tahoma" size="2">TPl</font></th>
          <th><font face="Tahoma" size="2">WKZ</font></th>
          <th><font face="Tahoma" size="2">Pilot</font></th>
          <th><font face="Tahoma" size="2">Typ</font></th>
          <th><font face="Tahoma" size="2">Abflug</font></th>
          <th><font face="Tahoma" size="2">Ziel</font></th>
          <th><font face="Tahoma" size="2">Dauer</font></th>
          <th><font face="Tahoma" size="2">km/h</font></th>
          <th><font face="Tahoma" size="2">km</font></th>
          <th><font face="Tahoma" size="2">TPunkte</font></th>
          <th><font face="Tahoma" size="2">StrafPkt.</font></th>
        </tr>
        <xsl:for-each select="pilot">
        <xsl:sort select="points" data-type="number" order="descending"/>
          <xsl:choose>
            <xsl:when test="position() mod 2 = 0">
              <tr bgcolor="#F6F6F6">
                <td><font face="Tahoma" size="2"><xsl:number value="position()"/>.</font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="glider_id"/></font></td>
                <td><font face="Tahoma" size="2"><b><xsl:value-of select="name"/></b></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="glider_type"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="start"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="finish"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="duration"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="speed"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="distance"/></font></td>
                <td align="right"><font face="Tahoma" size="2"><b><xsl:value-of select="points"/></b></font></td>
                <td align="right"><font face="Tahoma" size="2"><xsl:value-of select="penalty"/></font></td>
              </tr>
            </xsl:when>
            <xsl:otherwise>
              <tr>
                <td><font face="Tahoma" size="2"><xsl:number value="position()"/>.</font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="glider_id"/></font></td>
                <td><font face="Tahoma" size="2"><b><xsl:value-of select="name"/></b></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="glider_type"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="start"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="finish"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="duration"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="speed"/></font></td>
                <td><font face="Tahoma" size="2"><xsl:value-of select="distance"/></font></td>
                <td align="right"><font face="Tahoma" size="2"><b><xsl:value-of select="points"/></b></font></td>
                <td align="right"><font face="Tahoma" size="2"><xsl:value-of select="penalty"/></font></td>
              </tr>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:for-each>
        <xsl:for-each select="comment">
          <tr><td colspan="11"><font face="Tahoma" size="1"><xsl:value-of select="description"/></font></td></tr>
        </xsl:for-each>
          <tr>
          <td colspan="8">
            <font face="Tahoma" size="1">
              <xsl:if test="string-length(/contest_day/info1) &gt; 0"><xsl:value-of select="info1"/></xsl:if>
              <xsl:if test="string-length(/contest_day/info2) &gt; 0">, <xsl:value-of select="info2"/></xsl:if>
              <xsl:if test="string-length(/contest_day/info3) &gt; 0">, <xsl:value-of select="info3"/></xsl:if>
              <xsl:if test="string-length(/contest_day/info4) &gt; 0">, <xsl:value-of select="info4"/></xsl:if>
             </font>
            </td>
         <td colspan="3"><font face="Tahoma" size="1"><img><xsl:attribute name="src">cu-logo16.gif</xsl:attribute><xsl:attribute name="align">absmiddle</xsl:attribute></img><i> Powered by SeeYou</i></font></td>
        </tr>
     <tr><td align="right" colspan="11"><font face="Tahoma" size="1"><xsl:if test="string-length(/contest_day/footnote) &gt; -1"><xsl:value-of select="/contest_day/publishtime"/></xsl:if></font></td></tr>
    </table> 
   
    </center>
    </body>
    </html>  
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>